package com.ruoyi.common.constant;


/**
 * 业务常量信息
 *
 * @author ruoyi
 */
public class ServiceConstants {

    /**----------------------------订单类型start----------------------------*/

    /**
     * 订单类型: 1-骑行订单
     */
    public static final String ORDER_TYPE_RIDING = "1";

    /**
     * 订单类型: 2-押金充值
     */
    public static final String ORDER_TYPE_DEPOSIT = "2";

    /**
     * 订单类型: 3-优惠券
     */
    public static final String ORDER_TYPE_COUPON = "3";
    /**----------------------------订单类型end----------------------------*/

    /**
     * 订单类型: 3-押金退款
     */
    public static final String ORDER_TYPE_DEPOSIT_REFUND = "3";

    /**
     * 订单类型: 4-骑行订单退款（包含调度费、停车点外调度费）
     */
    public static final String ORDER_TYPE_RIDING_REFUND = "4";

    /**
     * 订单类型: 5-提现
     */
    public static final String ORDER_TYPE_WITHDRAW = "5";

    /**
     * 订单类型: 6-提现失败
     */
    public static final String ORDER_TYPE_WITHDRAW_FAIL = "6";

    /**
     * 订单类型: 7-车辆损坏
     */
    public static final String ORDER_TYPE_VEHICLE_DAMAGE = "7";

    /**
     * 订单类型: 8-短信扣费
     */
    public static final String ORDER_TYPE_MSG = "8";

    /**
     * 订单类型: 9-优惠券收入
     */
    public static final String ORDER_TYPE_COUPON_INCOME = "9";

    /**----------------------------订单类型end----------------------------*/
    /**----------------------------支付场景start----------------------------*/
    /** 支付场景： 1-骑行支付,2-取消预约支付,3-套餐支付,4-押金支付  */
    /**
     * 支付场景: 1-骑行支付
     */
    public static final String BUSINESS_TYPE_RIDING = "1";

    /**
     * 支付场景: 2-取消预约支付
     */
    public static final String BUSINESS_TYPE_APPOINTMENT = "2";

    /**
     * 支付场景: 3-套餐支付
     */
    public static final String BUSINESS_TYPE_MEAL = "3";

    /**
     * 支付场景: 4-押金支付
     */
    public static final String BUSINESS_TYPE_DEPOSIT = "4";
    /**----------------------------支付场景end----------------------------*/

    /**----------------------------订单状态start----------------------------*/
    /** 订单状态:0-预约中，1-取消预约，2-开始骑行，3-结束  4-订单结束 5-待审核  6-车辆有损坏  7-待官方审核*/
    /**
     * 订单状态:0-预约中
     */
    public static final String ORDER_STATUS_IN_APPOINTMENT = "0";

    /**
     * 订单状态:1-取消预约
     */
    public static final String ORDER_STATUS_CANCEL_APPOINTMENT = "1";

    /**
     * 订单状态:2-骑行中
     */
    public static final String ORDER_STATUS_RIDING = "2";

    /**
     * 订单状态:3-骑行结束(待支付)
     */
    public static final String ORDER_STATUS_RIDING_END = "3";

    /**
     * 订单状态:4-订单结束
     */
    public static final String ORDER_STATUS_ORDER_END = "4";

    /**
     * 订单状态:5-待审核
     */
    public static final String ORDER_STATUS_TO_BE_AUDIT = "5";

    /**
     * 订单状态:6-车辆有损坏
     */
    public static final String ORDER_STATUS_DAMAGED = "6";

    /**----------------------------订单状态end----------------------------*/

    /**----------------------------支付状态start----------------------------*/

    /**
     * 支付状态:0-未支付，1-已支付
     * 支付状态: 0-未支付
     */
    public static final String ORDER_PAY_STATUS_NON_PAYMENT = "0";

    /**
     * 支付状态: 1-已支付
     */
    public static final String ORDER_PAY_STATUS_PAID = "1";

    /**----------------------------支付状态end----------------------------*/

    /**----------------------------类型start----------------------------*/
    /** 支付方式：wx-微信，alipay-支付宝,tlwx-通联微信*/
    /**
     * 支付方式: wx-微信
     */
    public static final String PAY_TYPE_WX = "wx";

    /**
     * 支付方式: tmwx-太米微信
     */
    public static final String PAY_TYPE_TMWX = "tmwx";

    /**
     * 支付方式: sys-系统    免费骑行时，订单金额为0
     */
    public static final String PAY_TYPE_SYS = "sys";

    /**
     * 支付方式: alipay-支付宝
     */
    public static final String PAY_TYPE_ALIPAY = "alipay";

    /**
     * 支付方式: yj-押金抵扣
     */
    public static final String PAY_TYPE_YJ = "yj";

    /**
     * 支付方式: ye-余额抵扣
     */
    public static final String PAY_TYPE_YE = "ye";

    /**----------------------------支付类型end----------------------------*/

    /**----------------------------车辆状态start----------------------------*/
    /** 车辆状态: 7 未绑定 0 未上架，1-正常，2-预约中，3-骑行中，4-临时锁车，8-下线；9-废弃  */
    /**
     * 车辆状态: 7 未绑定
     */
    public static final String VEHICLE_STATUS_NOT_BAND = "7";
    /**
     * 车辆状态: 0 未上架  回仓库
     */
    public static final String VEHICLE_STATUS_NOT_LISTING = "0";

    /**
     * 车辆状态: 1-正常  待骑行
     */
    public static final String VEHICLE_STATUS_NORMAL = "1";

    /**
     * 车辆状态: 2-预约中
     */
    public static final String VEHICLE_STATUS_IN_APPOINTMENT = "2";

    /**
     * 车辆状态: 3-使用中  骑行中
     */
    public static final String VEHICLE_STATUS_IN_USING = "3";

    /**
     * 车辆状态: 4-临时停车
     */
    public static final String VEHICLE_STATUS_TEMPORARILY_LOCK = "4";

    /**
     * 车辆状态: 6-调度中
     */
    public static final String VEHICLE_STATUS_SCHEDULING = "6";

    /**
     * 车辆状态: 8-下线  禁用
     */
    public static final String VEHICLE_STATUS_IN_OFFLINE = "8";

    /**
     * 车辆状态: 9-废弃
     */
    public static final String VEHICLE_STATUS_ABANDON = "9";


    /**----------------------------车辆状态（中文）start----------------------------*/

    /** 车辆状态: 0 未上架，1-正常，2-预约中，3-骑行中，4-临时锁车，6-换电中，9-废弃  */
    /**
     * 车辆状态: 0 未上架
     */
    public static final String VEHICLE_STATUS_NOT_LISTING_STR = "未上架";

    /**
     * 车辆状态: 1-正常
     */
    public static final String VEHICLE_STATUS_NORMAL_STR = "1";

    /**
     * 车辆状态: 2-预约中
     */
    public static final String VEHICLE_STATUS_IN_APPOINTMENT_STR = "已被预约";

    /**
     * 车辆状态: 3-使用中
     */
    public static final String VEHICLE_STATUS_IN_USING_STR = "使用中";

    /**
     * 车辆状态: 4-临时停车
     */
    public static final String VEHICLE_STATUS_TEMPORARILY_LOCK_STR = "使用中";


    /**
     * 车辆状态: 8-下线
     */
    public static final String VEHICLE_STATUS_IN_CHANGING_STR = "已下线";


    /**
     * 车辆状态: 9-废弃
     */
    public static final String VEHICLE_STATUS_ABANDON_STR = "已废弃";


    /**----------------------------车辆状态（中文）end----------------------------*/

    /**----------------------------锁状态start----------------------------*/
    /**
     * 锁状态: 1-开
     */
    public static final String LOCK_STATUS_OPEN= "1";

    /**
     * 锁状态: 0-关
     */
    public static final String LOCK_STATUS_CLOSE= "0";

    /**----------------------------锁状态end----------------------------*/

    /**----------------------------在线状态start----------------------------*/
    /**
     * 在线状态: 0-离线
     */
    public static final String VEHICLE_STATUS_OFFLINE = "0";

    /**
     * 在线状态: 0-在线
     */
    public static final String VEHICLE_STATUS_ONLINE = "1";

    /**----------------------------在线状态end----------------------------*/

    /**----------------------------工单状态start----------------------------*/
    /**  工单状态 状态：1-待派工，2-工单中，3-已完成*/
    /**
     * 工单状态: 1-待派工  等待分配
     */
    public static final String REPLACEMENT_ELECTRICITY_STATUS_ALLOCATION = "1";

    /**
     * 工单状态: 2-换电中
     */
    public static final String REPLACEMENT_ELECTRICITY_STATUS_UNDER_WAY = "2";

    /**
     * 工单状态: 3-维修中
     */
    public static final String REPLACEMENT_ELECTRICITY_STATUS_REPAIR = "3";

    /**
     * 工单状态: 4-已完成
     */
    public static final String REPLACEMENT_ELECTRICITY_STATUS_COMPLETED = "4";

    /**----------------------------工单状态end----------------------------*/

    /**----------------------------工单是否有效start----------------------------*/
    /**  是否有效：0-无效，1-有效*/
    /**
     * 是否有效：0-无效
     */
    public static final String REPLACEMENT_ELECTRICITY_IS_EFFECTIVE_NO = "0";

    /**
     * 是否有效：1-有效
     */
    public static final String REPLACEMENT_ELECTRICITY_IS_EFFECTIVE_YES = "1";

    /**----------------------------工单工单是否有效end----------------------------*/

    /**----------------------------操作类型start----------------------------*/
    /**  操作类型:1-提交；2-审核；3-维修 */
    /**
     * 操作类型：1-提交
     */
    public static final String OPERATION_TYPE_SUBMIT = "1";

    /**
     * 操作类型：2-审核
     */
    public static final String OPERATION_TYPE_AUDIT = "2";

    /**
     * 操作类型：2-维修
     */
    public static final String OPERATION_TYPE_REPAIR = "3";


    /**----------------------------操作类型end----------------------------*/

    /**----------------------------工单类型start----------------------------*/
    /**  类型：1-维修工单；2-换电工单 */
    /**
     * 操作类型：1-维修工单
     */
    public static final String ADMIN_ORDER_TYPE_REPAIR = "1";

    /**
     * 操作类型：2-换电工单
     */
    public static final String ADMIN_ORDER_TYPE_REPLACEMENT = "2";


    /**----------------------------工单类型end----------------------------*/

    /**----------------------------批量操作类型tart----------------------------*/
    /**  批量操作类型： disable-禁用 enable-解禁  inStash-回仓  outStash-出仓*/
    /**
     * 批量操作类型：disable-禁用
     */
    public static final String BATCH_OPERATION_TYPE_DISABLE = "disable";

    /**
     * 批量操作类型：enable-解禁
     */
    public static final String BATCH_OPERATION_TYPE_ENABLE = "enable";

    /**
     * 批量操作类型：inStash-回仓
     */
    public static final String BATCH_OPERATION_TYPE_INSTASH = "inStash";

    /**
     * 批量操作类型：outStash-出仓
     */
    public static final String BATCH_OPERATION_TYPE_OUTSTASH = "outStash";


    /**----------------------------批量操作类型end----------------------------*/

    /**----------------------------行程记录类型tart----------------------------*/
    /**  类型：1-开锁骑行；2-临时锁车；3-临时解锁；4-还车关锁 */
    /**
     * 批量操作类型：1-开锁骑行
     */
    public static final String TRIP_LOG_TYPE_UNLOCK_RIDE = "1";

    /**
     * 批量操作类型：2-临时锁车
     */
    public static final String TRIP_LOG_TYPE_TEMPORARILY_LOCK = "2";

    /**
     * 批量操作类型：3临时解锁
     */
    public static final String TRIP_LOG_TYPE_TEMPORARILY_UNLOCK = "3";

    /**
     * 批量操作类型：4-还车关锁
     */
    public static final String TRIP_LOG_TYPE_RETRUN_LOCK = "4";


    /**----------------------------行程记录类型end----------------------------*/
    /**----------------------------退款类型start----------------------------*/
    /**  退款类型:1-系统退款；2-押金退款
    /**
     * 退款类型：1-系统退款
     */
    public static final String REFUND_TYPE_SYSTEM = "1";

    /**
     * 退款类型：2-押金退款
     */
    public static final String REFUND_TYPE_DEPOSIT = "2";

    /**
     * 退款类型：3-押金抵扣退款
     */
    public static final String REFUND_TYPE_DEPOSIT_DEDUCTION = "3";


    /**----------------------------退款类型end----------------------------*/

    /**----------------------------停车区类型start----------------------------*/
    /**  停车区类型：1. 停车区；2-禁停区；3-禁行区
     /**
     * 停车区类型：1-停车区
     */
    public static final String PARKING_AREA_TYPE_PARKFING = "1";

    /**
     * 停车区类型：1-禁停区
     */
    public static final String PARKING_AREA_TYPE_NO_PARKFING = "2";

    /**
     * 停车区类型：1-禁行区
     */
    public static final String PARKING_AREA_TYPE_BANNED_RIDING = "3";

    /**----------------------------停车区类型end----------------------------*/


    /**----------------------------计费规则start----------------------------*/
    /**  计费规则：1-起步价计费  2-区间计费
     /**
     * 计费规则：1-起步价计费
     */
    public static final String RIDING_RULE_STARTING_PRICE_MODE = "1";

    /**
     * 计费规则：2-区间计费
     */
    public static final String RIDING_RULE_INTERVAL_MODE = "2";

    /**----------------------------计费规则end----------------------------*/

    /**----------------------------租赁单位start----------------------------*/
    /**  租赁单位：minutes-分钟；hours-小时，day-天
     /**
     * 租赁单位：minutes-分钟
     */

    public static final String RENTAL_UNIT_MINUTES = "minutes";
    /**
     * 租赁单位：hours-小时
     */
    public static final String RENTAL_UNIT_HOURS = "hours";

    /**
     * 租赁单位：day-天
     */
    public static final String RENTAL_UNIT_DAY = "day";

    /**----------------------------租赁单位end----------------------------*/

    /**----------------------------计费周期start----------------------------*/
    /**  计费周期：1-订单生成后__小时 2-自定义时刻 */
     /**
     * 计费周期：1-订单生成后__小时
     */
    public static final String CHARGING_CYCLE_HOUR = "1";

    /**
     * 计费周期：2-自定义时刻
     */
    public static final String CHARGING_CYCLE_CUSTOM = "2";

    /**----------------------------计费周期end----------------------------*/

    /**----------------------------充值状态start----------------------------*/
    /**  充值状态:1-充值成功;2-退款成功； */
    /**
     * 充值状态：1-充值成功
     */
    public static final String RECHARGE_STATUS_SUCCESS = "1";

    /**
     * 充值状态：2-退款成功
     */
    public static final String RECHARGE_STATUS_REFUND_SUCCESS = "2";

    /**----------------------------充值状态end----------------------------*/

    /**----------------------------收支类型start----------------------------*/
    /**  收支类型：1-收入；2-支出 */
    /**
     * 充值状态：1-收入
     */
    public static final String FLOW_TYPE_INCOME = "1";

    /**
     * 充值状态：2-支出
     */
    public static final String FLOW_TYPE_DISBURSE = "2";

    /**----------------------------收支类型end----------------------------*/

    /**----------------------------运营时间start----------------------------*/
    /** 运营时间:1-全天；2-自定义 */
    /**
     * 运营时间：1-全天
     */
    public static final String AREA_TIME_ALL = "1";

    /**
     * 运营时间：2-自定义
     */
    public static final String AREA_TIME_CUSTOM= "2";

    /**----------------------------运营时间end----------------------------*/

    /**----------------------------是否已实名start----------------------------*/

    /** 是否认证：0-未认证；1-已认证 */
    public static final String IS_AUTHENTICATION_NO = "0";

    public static final String IS_AUTHENTICATION_YES = "1";
    /**----------------------------是否已实名start----------------------------*/

    /**----------------------------分账类型start----------------------------*/

    /** 分账类型：1-合伙人；2-平台服务费 */
    public static final String PROFITSHARING_TYPE_PARTNER = "1";

    public static final String PROFITSHARING_TYPE_PLATFORM = "2";
    /**----------------------------分账类型start----------------------------*/

    /**----------------------------退款类型start----------------------------*/
    /**  还车类型:1-正常还车；2-辅助还车
     /**
     * 退款类型：1-正常还车
     */
    public static final String RETURN_TYPE_NORMAL = "1";

    /**
     * 退款类型：2-辅助还车
     */
    public static final String RETURN_TYPE_SUBSIDIARY = "2";


    /**----------------------------退款类型end----------------------------*/
    /**----------------------------提现状态start----------------------------*/
    /** 提现状态:0-提现申请，1-通过，2-驳回 */
    /**
     * 提现状态:申请
     */
    public static final String WITHDRAW_STATUS_APPLY = "0";

    /**
     * 提现状态:通过
     */
    public static final String WITHDRAW_STATUS_PASS = "1";

    /**
     * 提现状态:驳回
     */
    public static final String WITHDRAW_STATUS_REJECT = "2";
    /**----------------------------提现状态end----------------------------*/
    /**----------------------------提现方式start----------------------------*/
    /** 提现方式：1-线下转账；2-微信支付 */
    /**
     * 提现状态:1-线下转账
     */
    public static final String WITHDRAW_METHOD_OFFLINE_TRANSFER = "1";

    /**
     * 提现状态:2-微信支付
     */
    public static final String WITHDRAW_METHOD_WX = "2";

    /**----------------------------提现方式end----------------------------*/

    /**----------------------------是否押金抵扣start----------------------------*/
    /**  是否押金抵扣：0-否；1-是 */
    /**
     * 是否押金抵扣:否
     */
    public static final String NO_DEPOSIT_DEDUCTION = "0";
    /**
     * 是否押金抵扣:是
     */
    public static final String IS_DEPOSIT_DEDUCTION = "1";
    /**----------------------------是否押金抵扣end----------------------------*/

    /**----------------------------所属人类型start----------------------------*/
    /**  所属人类型：1-运营商；2-合伙人 */
    /**
     * 所属人类型：1-运营商
     */
    public static final String OWNER_TYPE_OPERATOR = "1";
    /**
     * 所属人类型:2-合伙人
     */
    public static final String OWNER_TYPE_PARTNER = "2";
    /**
     * 所属人类型:3-app用户
     */
    public static final String OWNER_TYPE_APP_USER = "3";
    /**----------------------------所属人类型end----------------------------*/

    /**----------------------------还车是否拍照审核start----------------------------*/
    /** 还车是否拍照审核：0-否；1-是 */
    /**
     * 还车是否拍照审核:否
     */
    public static final String RETURN_VERIFY_NO = "0";
    /**
     * 还车是否拍照审核:是
     */
    public static final String RETURN_VERIFY_YES = "1";
    /**----------------------------还车是否拍照审核end----------------------------*/


    /**----------------------------资金流水状态start----------------------------*/
    /** 状态： 0-待结算，2-驳回,8-已完成 */
    /**
     * 0-待结算
     */
    public static final String FLOW_STATUS_APPLY = "0";
    /**
     * 2-驳回
     */
    public static final String FLOW_STATUS_REJECT = "2";

    /**
     * 8-已完成
     */
    public static final String FLOW_STATUS_COMPLETE = "8";
    /**----------------------------资金流水状态end----------------------------*/

    /**----------------------------资金流水状态start----------------------------*/
    /** 短信类型:1-还车审核通知;2-用户付款通知;3-提现申请通知 */
    /**
     * 1-还车审核通知
     */
    public static final String MSG_TYPE_VEHICLE_RETURN_AUDIT_NOTIFY = "1";
    /**
     * 2-用户付款通知
     */
    public static final String MSG_TYPE_USER_PAYMENT_NOTIFY = "2";

    /**
     * 3-提现申请通知
     */
    public static final String MSG_TYPE_WITHDRAWAL_NOTIFY = "3";
    /**----------------------------资金流水状态end----------------------------*/

    /**----------------------------提现手续费类型start----------------------------*/
    /** 提现手续费类型:1-按比例;2-按每笔 */
    /**
     * 1-按比例
     */
    public static final String HANDLING_CHARGE_TYPE_PERCENT = "1";
    /**
     * 2-按每笔
     */
    public static final String HANDLING_CHARGE_TYPE_PER_STROKE = "2";

    /**----------------------------提现手续费类型end----------------------------*/

    /**----------------------------优惠券获取方式start----------------------------*/
    /** 获取方式：claim-领取；buy-购买；issue-下发  */
    /**
     * claim-领取
     */
    public static final String COUPON_GAIN_METHOD_CLAIM = "claim";
    /**
     * buy-购买
     */
    public static final String COUPON_GAIN_METHOD_BUY = "buy";
    /**
     * issue-下发
     */
    public static final String COUPON_GAIN_METHOD_ISSUE = "issue";

    /**----------------------------优惠券获取方式end----------------------------*/

    /**----------------------------优惠券状态start----------------------------*/
    /** 状态：1-未使用，2-已使用，3-已过期
    /**
     * 1-未使用
     */
    public static final String COUPON_STATUS_UNUSED = "1";
    /**
     * 2-已使用
     */
    public static final String COUPON_STATUS_USED = "2";
    /**
     * 3-已过期
     */
    public static final String COUPON_STATUS_EXPIRED = "3";

    /**----------------------------优惠券状态end----------------------------*/

    /**----------------------------优惠券类型start----------------------------*/
    /** 类型：1-时间卡；2-贵宾卡；3-折扣卡；4-抵用券
     /**
     * 1-时间卡
     */
    public static final String COUPON_TYPE_TIME_CARD = "1";
    /**
     * 2-贵宾卡
     */
    public static final String COUPON_TYPE_VIP_CARD = "2";
    /**
     * 3-折扣卡
     */
    public static final String COUPON_TYPE_DISCOUNT_CARD = "3";
    /**
     * 4-抵用券
     */
    public static final String COUPON_TYPE_VOUCHER = "4";

    /**----------------------------优惠券类型end----------------------------*/


}
