package com.ruoyi.common.core.domain.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import com.baomidou.mybatisplus.annotation.TableField;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 部门表 sys_dept
 *
 * @author ruoyi
 */
public class SysDept extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 部门ID */
    private Long deptId;

    /** 父部门ID */
    private Long parentId;

    /** 祖级列表 */
    private String ancestors;

    /** 部门名称 */
    private String deptName;

    /** 显示顺序 */
    private Integer orderNum;

    /** 负责人 */
    private String leader;

    /** 联系电话 */
    private String phone;

    /** 邮箱 */
    private String email;

    /** 部门状态:0正常,1停用 */
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 父部门名称 */
    private String parentName;

    /** 运营区id */
    private Long[] areaIds;

    /** 平台服务费 */
    private String platformServiceFee;

    /** 手续费 */
    private String handlingCharge;

//    /** 是否开启分账 */
//    private String isProfitSharing;

    /** 是否有独立支付账户 */
    private String separateAccount;

    /** 是否使用创享电动车小程序 */
    private String isUsePlatformApp;

    /** 域名 */
    private String domain;

    /** appid */
    private String appid;

    /** 小程序名称 */
    private String appName;

    /** 余额 */
    private BigDecimal balance;

    /** appSecret */
    private String appSecret;
//
//    /** merchantId */
//    private String merchantId;
//
//    /** apiV3Key */
//    private String apiV3Key;
//
//    /** 通知回调地址 */
//    private String notifyUrl;
//
//    /** 密钥所在位置 */
//    private String privateKeyPath;
//
//    /** 证书序列号 */
//    private String merchantSerialNumber;
//
//    /** 退款回调地址 */
//    private String refundNotifyUrl;

    /** app用户id,用于提现,发送短信 */
    private Long appUserId;

    /** 用户名 */
    private String userName;

    /** 区域名称 */
    private String areaName;

    /** 提现手续费类型： 1-按比例；2-按每笔 */
    public String handlingChargeType;

    /** 提现手续费 */
    public String withdrawHandlingCharge;

    /** 收款码 */
    public String collectionCode;

    /** 待结算金额 */
    public BigDecimal settlementAmount;

    /** 可提现金额 */
    public BigDecimal withdrawableAmount;

    /** 支付渠道 */
    public Long payChannel;

    public Long getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(Long payChannel) {
        this.payChannel = payChannel;
    }

    public void setPlatformServiceFee(String platformServiceFee) {
        this.platformServiceFee = platformServiceFee;
    }

    public BigDecimal getWithdrawableAmount() {
        return withdrawableAmount;
    }

    public void setWithdrawableAmount(BigDecimal withdrawableAmount) {
        this.withdrawableAmount = withdrawableAmount;
    }

    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    public String getCollectionCode() {
        return collectionCode;
    }

    public void setCollectionCode(String collectionCode) {
        this.collectionCode = collectionCode;
    }

    public String getWithdrawHandlingCharge() {
        return withdrawHandlingCharge;
    }

    public void setWithdrawHandlingCharge(String withdrawHandlingCharge) {
        this.withdrawHandlingCharge = withdrawHandlingCharge;
    }

    public String getHandlingChargeType() {
        return handlingChargeType;
    }

    public void setHandlingChargeType(String handlingChargeType) {
        this.handlingChargeType = handlingChargeType;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getAppUserId() {
        return appUserId;
    }

    public void setAppUserId(Long appUserId) {
        this.appUserId = appUserId;
    }

    public String getSeparateAccount() {
        return separateAccount;
    }

    public void setSeparateAccount(String separateAccount) {
        this.separateAccount = separateAccount;
    }

    public String getHandlingCharge() {
        return handlingCharge;
    }

    public void setHandlingCharge(String handlingCharge) {
        this.handlingCharge = handlingCharge;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }

    public String getPlatformServiceFee() {
        return platformServiceFee;
    }

    public String getIsUsePlatformApp() {
        return isUsePlatformApp;
    }

    public void setIsUsePlatformApp(String isUsePlatformApp) {
        this.isUsePlatformApp = isUsePlatformApp;
    }

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

//    public void setPlatformServiceFee(String platformServiceFee) {
//        this.platformServiceFee = platformServiceFee;
//    }
//
//    public String getIsProfitSharing() {
//        return isProfitSharing;
//    }
//
//    public void setIsProfitSharing(String isProfitSharing) {
//        this.isProfitSharing = isProfitSharing;
//    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

//    public String getMerchantId() {
//        return merchantId;
//    }
//
//    public void setMerchantId(String merchantId) {
//        this.merchantId = merchantId;
//    }
//
//    public String getApiV3Key() {
//        return apiV3Key;
//    }
//
//    public void setApiV3Key(String apiV3Key) {
//        this.apiV3Key = apiV3Key;
//    }
//
//    public String getNotifyUrl() {
//        return notifyUrl;
//    }
//
//    public void setNotifyUrl(String notifyUrl) {
//        this.notifyUrl = notifyUrl;
//    }
//
//    public String getPrivateKeyPath() {
//        return privateKeyPath;
//    }
//
//    public void setPrivateKeyPath(String privateKeyPath) {
//        this.privateKeyPath = privateKeyPath;
//    }
//
//    public String getMerchantSerialNumber() {
//        return merchantSerialNumber;
//    }
//
//    public void setMerchantSerialNumber(String merchantSerialNumber) {
//        this.merchantSerialNumber = merchantSerialNumber;
//    }
//
//    public String getRefundNotifyUrl() {
//        return refundNotifyUrl;
//    }
//
//    public void setRefundNotifyUrl(String refundNotifyUrl) {
//        this.refundNotifyUrl = refundNotifyUrl;
//    }

    public Long[] getAreaIds() {
        return areaIds;
    }

    public void setAreaIds(Long[] areaIds) {
        this.areaIds = areaIds;
    }

    /** 子部门 */
    private List<SysDept> children = new ArrayList<SysDept>();

    public Long getDeptId()
    {
        return deptId;
    }

    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getParentId()
    {
        return parentId;
    }

    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }

    public String getAncestors()
    {
        return ancestors;
    }

    public void setAncestors(String ancestors)
    {
        this.ancestors = ancestors;
    }

    @NotBlank(message = "部门名称不能为空")
    @Size(min = 0, max = 30, message = "部门名称长度不能超过30个字符")
    public String getDeptName()
    {
        return deptName;
    }

    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

//    @NotNull(message = "显示顺序不能为空")
    public Integer getOrderNum()
    {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum)
    {
        this.orderNum = orderNum;
    }

    public String getLeader()
    {
        return leader;
    }

    public void setLeader(String leader)
    {
        this.leader = leader;
    }

    @Size(min = 0, max = 11, message = "联系电话长度不能超过11个字符")
    public String getPhone()
    {
        return phone;
    }

    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    @Email(message = "邮箱格式不正确")
    @Size(min = 0, max = 50, message = "邮箱长度不能超过50个字符")
    public String getEmail()
    {
        return email;
    }

    public void setEmail(String email)
    {
        this.email = email;
    }

    public String getStatus()
    {
        return status;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getParentName()
    {
        return parentName;
    }

    public void setParentName(String parentName)
    {
        this.parentName = parentName;
    }

    public List<SysDept> getChildren()
    {
        return children;
    }

    public void setChildren(List<SysDept> children)
    {
        this.children = children;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deptId", getDeptId())
            .append("parentId", getParentId())
            .append("ancestors", getAncestors())
            .append("deptName", getDeptName())
            .append("orderNum", getOrderNum())
            .append("leader", getLeader())
            .append("phone", getPhone())
            .append("email", getEmail())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
