package com.ruoyi.common.pay.syb.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author wjh
 * 2024/9/9
 */
@Component
@ConfigurationProperties(prefix = "syb")
@Data
public class SybConfig {

    // 集团ID
    private String orgId;

    // 商户ID
    private String cusId;

    // 应用ID
    private String appId;

    // MD5密钥
    private String md5AppKey;

    // Api地址
    private String apiUrl;

    // 签名方式
    private String signType;

    // 商户RSA私钥,用于向通联发起请求前进行签名
    private String rsaCusPriKey;

    // 通联平台RSA公钥，用于请求返回或者通联通知的验签
    private String rsaTlPubKey;

    // 商户sm2私钥,用于向通联发起请求前进行签名
    private String sm2CusPriKey;

    // 通联平台sm2公钥，用于请求返回或者通联通知的验签
    private String sm2TlPubKey;

    // 通知地址
    private String notifyUrl;

}
