package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 收费方式对象 et_fee_rule
 *
 * @author 邱贞招
 * @date 2024-04-08
 */
@Data
public class EtFeeRule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 收费规则id */
    private Long ruleId;

    /** 套餐名称 */
    @Excel(name = "套餐名称")
    private String name;

    /** 运营区id */
    @Excel(name = "运营区id")
    private Long areaId;

    /** 运营区 */
    @Excel(name = "运营区")
    @TableField(exist = false)
    private EtOperatingArea area;

    /** 运营区名称 */
    @Excel(name = "运营区名称")
    @TableField(exist = false)
    private String areaName;

    /** 运营商 */
    @Excel(name = "运营商")
    private String deptName;

    /** 运营商id */
    @Excel(name = "运营商id")
    private Long deptId;

    @Excel(name = "车型id")
    @TableField(exist = false)
    private Long modelId;

    /** 说明 */
    @Excel(name = "说明")
    private String explain;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 还车结算___小时后自动退押金 */
    @Excel(name = "还车结算___小时后自动退押金")
    private Integer autoRefundDeposit;

    /** 订单超过_X_分钟，每___分钟语音提醒一次归还设备 */
    @Excel(name = "订单超过_X_分钟，每___分钟语音提醒一次归还设备")
    private Integer orderExceedMinutes;

    /** 订单超过__分钟，每_X_分钟语音提醒一次归还设备 */
    @Excel(name = "订单超过__分钟，每_X_分钟语音提醒一次归还设备")
    private Integer orderExceedWarn;

    /** 免费骑行时长(分钟) */
    @Excel(name = "免费骑行时长(分钟)")
    private Integer freeRideTime;

    /** 租赁单位：minutes-分钟；hours-小时，day-天 */
    @Excel(name = "租赁单位")
    private String rentalUnit;

    /** 计费规则：1-起步价计费  2-区间计费 */
    @Excel(name = "计费规则")
    private String ridingRule;

    /** 计费规则json串
     * 1-起步价计费
     * {
     *     "startingPrice": "20",
     *     "startingTime": "1",
     *     "timeoutPrice": "25",
     *     "timeoutTime": "1"
     * }
     *启用区间
     * {
     *     "enableInterval": true,
     *     "rule": [
     *         {
     *             "start": 0,
     *             "end": 2,
     *             "fee": 40
     *         },
     *        {
     *             "start": 2,
     *             "end":4,
     *             "fee": 35
     *         },
     *        {
     *             "start": 4,
     *             "end": 6,
     *             "fee": 30
     *         },
     *       {
     *             "start": 6,
     *             "end": 9999,
     *             "fee": 60
     *         }
     *     ]
     * }
     *
     * {
     *     "enableInterval": false,
     *     "rule": [
     *         {
     *             "start": 0,
     *             "end": 2,
     *             "eachUnit": 1,
     *             "fee": 20
     *         },
     *         {
     *             "start": 2,
     *             "end": 4,
     *             "eachUnit": 1,
     *             "fee": 18
     *         },
     *         {
     *             "start": 4,
     *             "end": 6,
     *             "eachUnit": 1,
     *             "fee": 16
     *         },
     *         {
     *             "start": 6,
     *             "end": 9999,
     *             "eachUnit": 1,
     *             "fee": 15
     *         }
     *     ]
     * }
     *
     *
     * */
    @Excel(name = "计费规则json")
    private String ridingRuleJson;

    /** 计费周期：1-订单生成后__小时 2-自定义时刻 */
    @Excel(name = "计费周期")
    private String chargingCycle;

    /** 计费周期值：*/
    @Excel(name = "计费周期值")
    private String chargingCycleValue;

    /** 封顶金额*/
    @Excel(name = "封顶金额")
    private BigDecimal cappedAmount;

    /** 骑行价格说明*/
    @Excel(name = "骑行价格说明")
    private String instructions;

    /** 是否缴纳过押金*/
    @Excel(name = "是否缴纳过押金")
    private Boolean isDeposit;

    /** 是否已删除*/
    @Excel(name = "是否已删除")
    private String isDeleted;

    @Excel(name = "描述")
    private String description;
}
