package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 平台对账对象 et_reconciliation
 *
 * @author qzz
 * @date 2024-10-03
 */
@Data
public class EtReconciliation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 对账id */
    private Long reconciliationId;

    /** 总收入 */
    @Excel(name = "总收入")
    private BigDecimal totalAmount;

    /** 订单支付 */
    @Excel(name = "订单支付")
    private BigDecimal orderPaid;

    /** 押金支付 */
    @Excel(name = "押金支付")
    private BigDecimal depositPaid;

    /** 支付渠道id */
    @Excel(name = "支付渠道id")
    private Long payChannel;

    /** 对账日期 */
    @Excel(name = "对账日期")
    private String day;

    /** 押金退款 */
    @Excel(name = "押金退款")
    private BigDecimal depositRefund;

    /** 押金盈余 */
    @Excel(name = "押金盈余")
    private BigDecimal depositSurplus;

    /** 订单退款 */
    @Excel(name = "订单退款")
    private BigDecimal orderRefund;

    /** 订单盈余 */
    @Excel(name = "订单盈余")
    private BigDecimal orderSurplus;

    /** 押金抵扣金额 */
    @Excel(name = "押金抵扣金额")
    private BigDecimal deductionAmount;

    /** 手续费 */
    @Excel(name = "手续费")
    private BigDecimal handlingCharge;

    /** 用户账变 */
    @Excel(name = "用户账变")
    private BigDecimal userReceipts;

    /** 结算金额 */
    @Excel(name = "结算金额")
    private BigDecimal settlementAmount;

    /** 平台服务费 */
    @Excel(name = "平台服务费")
    private BigDecimal platformServiceFee;

}
