package com.ruoyi.system.domain.vo;

import lombok.Data;

/**
 * 运营数据
 *
 * @author 邱贞招
 * @date 2024-05-09
 */
@Data
public class OperatingDataVo {

    private Income income;

    private OrderVo order;

    private DeviceVo device;

    private UserVo user;

    /**
     * 收入相关
     */
    @Data
    public static class Income {

        //总收入
        private String totalFee;

        //总收入
        private String totalIncome;

        //累计待支付
        private String totalUnpaid;

        //手续费(支付手续费+平台服务费)
        private String handlingFee;

        //已支付
        private String totalPaid;

        //已退款
        private String totalRefund;

        //骑行已支付
        private String totalRidingFee;

        //骑行已退款
        private String totalRidingRefund;

        //调度费已支付
        private String totalDispatchFee;

        //调度费已退款
        private String totalDispatchRefund;

        //预约费已支付
        private String totalAppointmentFee;

        //预约费已退款
        private String totalAppointmentRefund;

        //停车点外调度费已支付
        private String totalManageFee;

        //停车点外调度费已退款
        private String totalManageRefund;
    }

    /**
     * 订单相关
     */
    @Data
    public static class OrderVo {
        //骑行中订单
        private String ridingOrder;

        //已支付订单
        private String paidOrder;

        //已退款订单
        private String refundOrder;

        //待支付订单
        private String unpaidOrder;

    }

    /**
     * 设备相关
     */
    @Data
    public static class DeviceVo {
        //运营中车辆
        private String inOperationDevice;

        //有订单车辆
        private String inOrderDevice;

        //无订单车辆
        private String noOrderDevice;
    }

    /**
     * 用户相关
     */
    @Data
    public static class UserVo {
        //用户总数
        private String totalUser;

        //新增用户
        private String newUser;

        //租赁用户
        private String leaseUser;
    }
}
