package com.ruoyi.system.mapper;

import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.system.domain.Channel;
import com.ruoyi.system.domain.ChannelQuery;
import com.ruoyi.system.domain.ChannelVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 充值渠道Mapper接口
 *
 * @author ruoyi
 * @date 2024-04-15
 */
public interface EtChannelMapper
{
    /**
     * 查询充值渠道
     *
     * @param channelId 充值渠道主键
     * @return 充值渠道
     */
    public ChannelVO selectSmChannelByChannelId(Long channelId);

    /**
     * 查询充值渠道列表
     *
     * @param smChannel 充值渠道
     * @return 充值渠道集合
     */
    public List<ChannelVO> selectSmChannelList(@Param("query") ChannelQuery smChannel);

    /**
     * 新增充值渠道
     *
     * @param channel 充值渠道
     * @return 结果
     */
    public int insertSmChannel(Channel channel);

    /**
     * 修改充值渠道
     *
     * @param channel 充值渠道
     * @return 结果
     */
    public int updateSmChannel(@Param("data") Channel channel);

    /**
     * 删除充值渠道
     *
     * @param channelId 充值渠道主键
     * @return 结果
     */
    public int deleteSmChannelByChannelId(Long channelId);

    /**
     * 批量删除充值渠道
     *
     * @param channelIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSmChannelByChannelIds(Long[] channelIds);

    /**
     * 根据证书序列号获取支付渠道
     *
     * @param wechatpaySerial 证书序列号
     * @return 结果
     */
    ChannelVO selectChannelBySerialNumber(String wechatpaySerial);

}
