package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.EtReconciliation;

/**
 * 平台对账Mapper接口
 * 
 * @author qzz
 * @date 2024-10-03
 */
public interface EtReconciliationMapper 
{
    /**
     * 查询平台对账
     * 
     * @param reconciliationId 平台对账主键
     * @return 平台对账
     */
    public EtReconciliation selectEtReconciliationByReconciliationId(Long reconciliationId);

    /**
     * 查询平台对账列表
     * 
     * @param etReconciliation 平台对账
     * @return 平台对账集合
     */
    public List<EtReconciliation> selectEtReconciliationList(EtReconciliation etReconciliation);

    /**
     * 新增平台对账
     * 
     * @param etReconciliation 平台对账
     * @return 结果
     */
    public int insertEtReconciliation(EtReconciliation etReconciliation);

    /**
     * 修改平台对账
     * 
     * @param etReconciliation 平台对账
     * @return 结果
     */
    public int updateEtReconciliation(EtReconciliation etReconciliation);

    /**
     * 删除平台对账
     * 
     * @param reconciliationId 平台对账主键
     * @return 结果
     */
    public int deleteEtReconciliationByReconciliationId(Long reconciliationId);

    /**
     * 批量删除平台对账
     * 
     * @param reconciliationIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEtReconciliationByReconciliationIds(Long[] reconciliationIds);
}
