package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.system.domain.EtCapitalFlow;
import com.ruoyi.system.domain.EtOperatingArea;
import com.ruoyi.system.domain.EtOrder;
import com.ruoyi.system.domain.vo.AttachVo;

import javax.servlet.http.HttpServletRequest;
import java.math.BigDecimal;

/**
 * 订单支付回调 service

 */
public interface CallbackService {
    /**
     * 微信支付回调
     * @param request 微信回调json
     * @return String
     */
    void weChat(HttpServletRequest request);

    /**
     * 支付成功后的业务处理
     * @param outTradeNo
     * @return String
     */
    public void businessHandle(String outTradeNo,AttachVo attachVo,String payType);

    /**
     * 微信退款回调
     * @param request 微信回调json
     * @return String
     */
    void weChatRefund(HttpServletRequest request);

    /**
     * 新增资金流水记录
     * @param order 订单
     * @param type 类型
     * @param busType 业务类型
     * @param ownerType 所属人类型
     * @param user 合伙人对象
     * @param payType 支付方式
     * @return void
     */
    public EtCapitalFlow capitalFlowRecords(EtOrder order, String type, String busType, String ownerType, SysUser user, String payType);

    /**
     * 新增资金流水记录
     * @param order 订单
     * @param type 类型
     * @param busType 业务类型
     * @param ownerType 所属人类型
     * @param user 合伙人对象
     * @param payType 支付方式
     * @return void
     */
    public EtCapitalFlow capitalFlowRecordsByRepair(EtOrder order, String type, String busType, String ownerType, SysUser user, String payType);

    /**
     * 新增资金流水记录
     * @param order 订单
     * @param type 类型
     * @param busType 业务类型
     * @param ownerType 所属人类型
     * @param sysDept 运营商对象
     * @return void
     */
    public int capitalFlowRecords2(EtOrder order, String type, String busType, String ownerType, SysDept sysDept);

    /**
     * 新增资金流水记录(app用户)
     * @param order 订单
     * @param type 类型
     * @param busType 业务类型
     * @param ownerType 所属人类型
     * @return void
     */
    public int capitalFlowRecordsByAppUser(EtOrder order, String type, String busType, String ownerType, SysDept sysDept);

    /**
     * 分红处理
     * @param transactionId 订单号
     * @param order 订单
     * @param area 运营区域
     * @return boolean
     */
    public boolean dividendHandle(String transactionId, EtOrder order, EtOperatingArea area, BigDecimal dividendAmount);

}
